uk.ac.starlink.ecsv

## Interface EcsvColumn<T>

-     public interface EcsvColumn<T>

  Represents column metadata from an ECSV table.
  Since:
    28 Apr 2020

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getDatatype()` Returns the declared datatype for this column.
    `EcsvDecoder<T>` | `getDecoder()` Returns a decoder that can be used to make sense of cell values in the body of the ECSV file corresponding to this column.
    `java.lang.String` | `getDescription()` Returns the column description text if available.
    `java.lang.String` | `getFormat()` Returns the column format string if available.
    `java.util.Map<?,?>` | `getMeta()` Returns a map containing miscellaneous metadata declared for this column, if available.
    `java.lang.String` | `getName()` Returns the column name.
    `java.lang.String` | `getUnit()` Returns the column unit string if available.

- - ### Method Detail

    - #### getName

          java.lang.String getName()

      Returns the column name.
      Returns:
        name

    - #### getUnit

          java.lang.String getUnit()

      Returns the column unit string if available.
      Returns:
        unit, or null

    - #### getDescription

          java.lang.String getDescription()

      Returns the column description text if available.
      Returns:
        description, or null

    - #### getFormat

          java.lang.String getFormat()

      Returns the column format string if available.
      Returns:
        printf-style format string, or null

    - #### getDatatype

          java.lang.String getDatatype()

      Returns the declared datatype for this column.
      Returns:
        datatype

    - #### getDecoder

          EcsvDecoder<T> getDecoder()

      Returns a decoder that can be used to make sense of cell values in the body of the ECSV file corresponding to this column.
      Returns:
        decoder, or null if the format for this column is unknown or unsupported

    - #### getMeta

          java.util.Map<?,?> getMeta()

      Returns a map containing miscellaneous metadata declared for this column, if available.
      Returns:
        metadata map, may be null or empty